Summary: Plug-ins for The GNU Image Manipulation Program
Name: gimp-plugins
Version: 1.0.4
Release: 3sg1
Packager: Stefan Gartner <Stefan.Gartner@fhs-hagenberg.ac.at>
Copyright: GPL, LGPL
Group: X11/Applications/Graphics
Url: http://www.gimp.org/
Source0: gimp-plugins-%{PACKAGE_VERSION}.tar.gz
Buildroot: /var/tmp/gimp-root
Requires: gtk+ >= 1.2
%define ver      %{PACKAGE_VERSION}
%define rel      %{PACKAGE_RELEASE}
Requires: gimp-libgimp = %{PACKAGE_VERSION}
Requires: gimp = %{PACKAGE_VERSION}
Requires: Mesa >= 3.0
Requires: Mesa-glut >= 3.0

%description
This package contains some extra plug-ins for The GIMP:
antialias, gqbist, holes, quant, sgi, user_filter , magiceye, make-translucent, twist, yuv, gimpressionist, import layer, sample colorize, heightview, screenshot, stereogram, and many others.
The heightview plugins requires Mesa (included with powertools for RedHat)
See The GIMP homepage (http://www.gimp.org) for details
For details on Mesa see http://www.ssec.wisc.edu/~brianp/Mesa.html

%prep
%setup -q

%build
cd ./Lighting
make
cd ../RaX_Structurizer
make
cd ../Warp0.3
gimptool --build warp.c
cd ../antialias
gimptool --build antialias.c
cd ../fp
make
cd ../gdyntext
make
cd ../heightview-0.1
make prefix=$RPM_BUILD_ROOT/usr
make
cd ../holes
gimptool --build holes.c
cd ../icon
make
cd ../implayer
gimptool  --build implayer.c
cd ../imagemap-0.4
make
cd ../jigsaw
gimptool --build jigsaw.c
cd ../magiceye
make
cd ../quant
gimptool --build quant.c
cd ../sample_colorize
gimptool  --build sample_colorize.c
cd ../stereogram
gimptool --build stereogram.c
cd ../twist
make
make install
cd ../user_filter
make
cd ../wind
gimptool --build wind.c
cd ../yuv
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins $RPM_BUILD_ROOT/usr/share/gimp/patterns $RPM_BUILD_ROOT/usr/share/gimp/scripts
cp Lighting/lighting $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp RaX_Structurizer/RaX $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp Warp0.3/warp $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp antialias/antialias $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp antialias/antialias.scm $RPM_BUILD_ROOT/usr/share/gimp/scripts
cp fp/fp $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp gdyntext/gdyntext $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cd ./gimpressionist-0.99
make prefix=$RPM_BUILD_ROOT/usr -f Makefile install
cd ..
cp heightview-0.1/heightview $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp holes/holes $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp icon/icon $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp implayer/implayer $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp imagemap-0.4/imagemap $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp jigsaw/jigsaw $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp magiceye/magiceye $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp quant/quant $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp sample_colorize/sample_colorize $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp stereogram/stereogram $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp twist/twist $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cd ./user_filter
make install
mkdir -p $RPM_BUILD_ROOT/usr/share/gimp/userfilter
cp userfilter/AndrewsFilters.ffl $RPM_BUILD_ROOT/usr/share/gimp/userfilter
cd ..
cp wind/wind $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins
cp yuv/yuv $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%attr(644, root, root)
/usr/lib/gimp/1.0/plug-ins/*
/usr/share/gimp/scripts/antialias.scm
/usr/share/gimp/userfilter/AndrewsFilters.ffl
/usr/share/gimp/gimpressionist/*

%changelog
* Thu May 06 1999 Stefan Gartner <Stefan.Gartner@fhs-hagenberg.ac.at>
- Updated to 1.0.4
- Added some extra plug-ins
- Removed Plugins already contained in the main package

* Tue Apr 06 1999 Stefan Gartner <Stefan.Gartner@fhs-hagenberg.ac.at>
- first (inofficial) release
